<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Create Order</title>
    <script>
        async function createOrder(event) {
            event.preventDefault();
            const userId = document.getElementById('userId').value;
            const items = document.getElementById('items').value.split(',');
            const response = await fetch('http://127.0.0.1:5001/order', {
                method: 'POST',
                headers: {
                    'Content-Type': 'application/json'
                },
                body: JSON.stringify({ user_id: userId, items })
            });
            const data = await response.json();
            if (data.error) {
                alert(data.error);
            } else {
                alert(JSON.stringify(data));
            }
        }
    </script>
</head>
<body>
    <h1>Create Order</h1>
    <form onsubmit="createOrder(event)">
        <label for="userId">User ID:</label><br>
        <input type="number" id="userId" name="userId" required><br><br>
        
        <label for="items">Items (comma separated):</label><br>
        <input type="text" id="items" name="items" required><br><br>
        
        <input type="submit" value="Create Order">
    </form>
</body>
</html>
